Gda.DbFkey – Gda-6.0 Reference Manual

# DbFkey

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_db_fkey_get_type ()" ) ]
public class DbFkey : Object, DbBuildable
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public DbFkey ()

### Methods:

- public unowned List<string> get_field_name ()
- public unowned string get_ondelete ()
- public DbFkeyReferenceAction get_ondelete_id ()
- public unowned string get_onupdate ()
- public DbFkeyReferenceAction get_onupdate_id ()
- public unowned List<string> get_ref_field ()
- public unowned string get_ref_table ()
- public bool prepare_create (ServerOperation op, int i) throws Error
- public void set_field (string field, string reffield)
- public void set_ondelete (DbFkeyReferenceAction id)
- public void set_onupdate (DbFkeyReferenceAction id)
- public void set_ref_table (string rtable)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.DbBuildable

- parse_node

- write_node